<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<div>
		<h2>HTML Entities</h2>
		<p><em>Reserved charactes in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code).</em></p>
	</div>
	<!-- Creates an HTML Table -->
	<div>
		<table border="1">
			<!-- Used to group table header content -->
			<thead>
				<!-- Defines a table row -->
				<tr>
					<!-- Table Headings -->
					<th>Entity</th>
					<th>Description</th>
				</tr>
			</thead>

			<!-- Group table body -->
			<tbody align="center">
				<tr>
					<!-- Defines a table data element -->
					<td>&lt;</td>
					<td>less than</td>
				</tr>
				<tr>
					<!-- row 2 -->
					<td>&gt;</td>
					<td>greater than</td>
				</tr>
				<tr>
					<!-- row 3 -->
					<td>&#8369;</td>
					<td>peso sign</td>
				</tr>
				<tr>
					<!-- row 4 -->
					<td>&amp;</td>
					<td>ampersand</td>
				</tr>
				<tr>
					<!-- row 5 -->
					<td>&quot;</td>
					<td>double quotation mark</td>
				</tr>
				<tr>
					<!-- row 6 -->
					<td>&apos;</td>
					<td>single quotation mark</td>
				</tr>
				<tr>
					<!-- row 7 -->
					<td>&ntilde</td>
					<td>Lower Tilde</td>
				</tr>
				<tr>
					<!-- row 3 -->
					<td>&Ntilde</td>
					<td>Upper Tilde</td>
				</tr>
			</tbody>
			<tfoot>
				<tr>
					<th colspan="2">List of HTML Entities</th>
				</tr>
			</tfoot>
		</table>
	</div>
	
	<hr>
	<h2>HTML Forms</h2>
	<p><em>Inputs elements that make up a form.</em></p>

	<!-- Creates an HTML form to capture user input -->
	<form action="https://facebook.com">

		<label for="fullName">Full Name:</label><br>
		<input type="text" name="fullName" id="fullName" required><br><br>
		<label for="bday">Birth Date:</label><br>
		<input type="date" name="birthDay" id="bday" required><br><br>

		<label for="age">Age:</label><br>
		<input type="number" name="age" id="age" min="18" required><br><br>

		<label for="gender">Gender</label><br>
		<select id="gender" name="gender" required>
			<option value="">--select here--</option>
			<option value="male">Male</option>
			<option value="female">Female</option>
		</select><br><br>

		
		<legend for="user">New User:</legend>
		<input type="radio" name="userType" id="yes"  id="user" value="yes"><label>Yes</label><br>
		<input type="radio" name="userType" id="no"  id="user" value="no"><label>No</label><br><br>

		<label for="notes">Notes:</label><br>
		<textarea id="notes" name="notes" rows="5" cols="100"></textarea><br><br>

		<legend>Role:</legend>
		<input type="checkbox" name="role1" value="developer"><label>Developer</label>
		<input type="checkbox" name="role2" value="student"><label>Student</label>
		<input type="checkbox" name="role3" value="manager"><label>Manager</label><br><br>




		<button type="submit">Submit</button>
		<button type="reset">Reset</button>

	</form>

</body>
</html>